package Service;

import java.util.Map;

import Dao.BookDao;
import working.Book;
import working.Cart;
import working.CartItem;

public class CartService {
    
    BookDao bdao = new BookDao();
    
    /**
     * ͼӵﳵ
     * @param bookid
     * @param cart
     */
    public void buybook(String bookid, Cart cart) {
        Book book = bdao.find(bookid);
        cart.add(book);
    }

    /**
     * ɾﳵָbookidͼ
     * @param bookid
     * @param cart
     * @throws CartNotFoundException
     */
    public void deleteBook(String bookid, Cart cart) throws ClassNotFoundException {
        if(cart == null) {
            throw new ClassNotFoundException("Ҳﳵ");
        }
        Map map = cart.getMap();
        map.remove(bookid);
    }

    /**
     * չﳵй
     * @param cart
     * @throws CartNotFoundException
     */
    public void clearcart(Cart cart) throws ClassNotFoundException {

        if(cart == null) {
            throw new ClassNotFoundException("Ҳﳵ");
        }

        cart.getMap().clear();
    }

    /**
     * ¹
     * @param cart
     * @param bookid
     * @param quantity
     * @throws CartNotFoundException
     */
    public void updateCart(Cart cart, String bookid, int quantity) throws ClassNotFoundException {

        if(cart == null) {
            throw new ClassNotFoundException("Ҳﳵ");
        }

        CartItem item = cart.getMap().get(bookid);
        item.setQuantity(quantity);
    }
}
