package Servlet;

import java.io.IOException;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import Service.CartService;
import working.Cart;
@WebServlet("/CartAddServlet")
public class CartAddServlet extends HttpServlet {
	/**
	 * ӹﳵServlet
	 */
    public void doGet(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        try {
            String bookid = request.getParameter("bookid");
            Cart cart = (Cart) request.getSession().getAttribute("cart");
            if (cart == null) {
                cart = new Cart();
                request.getSession().setAttribute("cart", cart);
            }
            CartService cartService = new CartService();
            cartService.buybook(bookid, cart);
            request.getRequestDispatcher("/listCart.jsp").forward(request, response);
            return;
        } catch (Exception e) {
            request.setAttribute("message", "ʧܣ");
            request.getRequestDispatcher("/message.jsp").forward(request, response);
            return;
        }
    }
}