package Servlet;

import java.io.IOException;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import Service.CartService;
import working.Cart;

/**
 * Servlet implementation class CartDeleteServlet
 */
@WebServlet("/CartDeleteServlet")
	/**
	 * ɾServlet
	 */
public class CartDeleteServlet extends HttpServlet {
    public void doGet(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        try {
            String bookid = request.getParameter("bookid");
            Cart cart = (Cart) request.getSession().getAttribute("cart");
            CartService cartService = new CartService();
            cartService.deleteBook(bookid, cart);
            request.getRequestDispatcher("/listCart.jsp").forward(request, response);
        } catch (ClassNotFoundException e) {
            request.setAttribute("message", "");
            request.getRequestDispatcher("/message.jsp").forward(request, response);
        }
    }
}


