package Servlet;

import java.io.IOException;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import Service.CartService;
import working.Cart;

/**
 * Servlet implementation class UpdateCartServlet
 */
@WebServlet("/UpdateCartServlet")
	/**
	 * ¹ﳵServlet
	 */
public class UpdateCartServlet extends HttpServlet {
    public void doGet(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        try {
            String bookid = request.getParameter("bookid");
            int quantity = Integer.parseInt(request.getParameter("quantity"));
            Cart cart = (Cart) request.getSession().getAttribute("cart");
            CartService cartService = new CartService();
            cartService.updateCart(cart, bookid, quantity);
            request.getRequestDispatcher("/listCart.jsp").forward(request, response);
        } catch (Exception e) {
            request.setAttribute("message", "");
            request.getRequestDispatcher("/message.jsp").forward(request, response);
        }
    }
}
