package working;

import java.util.LinkedHashMap;
import java.util.Map;

public class Cart {

    private Map<String, CartItem> map = new LinkedHashMap();
    private double price;

    /**
     * ﳵͼ
     * @param book
     */
    public void add(Book book) {

        CartItem item = map.get(book.getId());

        if(item == null) {
            item = new CartItem();
            item.setBook(book);
            item.setQuantity(1);
            map.put(book.getId(), item);
        } else {
            item.setQuantity(item.getQuantity()+1);
        }
    }
    public double getPrice() {
        double totalprice = 0;
        for(Map.Entry<String, CartItem> me : map.entrySet()) {
            CartItem item = me.getValue();
            totalprice += item.getPrice();
        }
        return totalprice;
    }
    public Map<String, CartItem> getMap() {
        return map;
    }
    public void setMap(Map<String, CartItem> map) {
        this.map = map;
    }
    public void setPrice(double price) {
        this.price = price;
    }
}