package Servlet;

import java.io.IOException;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import Service.CartService;
import working.Cart;

/**
 * Servlet implementation class ClearCartServlet
 */
@WebServlet("/ClearCartServlet")
	/**
	 * չﳵServlet
	 */
public class ClearCartServlet extends HttpServlet {
    public void doGet(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        try {
            Cart cart = (Cart) request.getSession().getAttribute("cart");
            CartService cartService = new CartService();
            String action = request.getParameter("action");
            if(action.equals("1")) {
            	cartService.clearcart(cart);
            	request.getRequestDispatcher("/ListBookServlet").forward(request, response);
            }else {
	            cartService.clearcart(cart);
	            request.getRequestDispatcher("/listCart.jsp").forward(request, response);
            }
        } catch (ClassNotFoundException e) {
            request.setAttribute("message", "");
            request.getRequestDispatcher("/message.jsp").forward(request, response);
        }
    }
}
