package Servlet;

import java.io.IOException;
import java.util.Map;

import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import Service.BookService;

/**
 * Servlet implementation class ListBookServlet
 */
@WebServlet("/ListBookServlet")
	/**
	 * ʾBookServlet
	 */
public class ListBookServlet extends HttpServlet {
    public void doGet(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        try {
            BookService bookService = new BookService();
            Map map = bookService.getAll();
            request.setAttribute("map", map);
            request.getRequestDispatcher("/listBook.jsp").forward(request, response);
            return;
        } catch (Exception e) {
            request.setAttribute("message", "ʧܣ");
            request.getRequestDispatcher("/message.jsp").forward(request, response);
            return;
        }
    }
}